
import random

def getRandomCharacter() :
    
    characters = ['the Smiley Cloud', 'the Happy Weed', 'the Baby', 'Bobby', 'the Burglar', 'the Cop', 'the Fireman', 'the Gangster', 'the Gunslinger', 'the Judge', 'the Juggler', 'the Nurse', 'the Pirate', 'the Sheriff', 'the Swashbuckler', 'Norman', 'Norma', 'Normbabe', 'Normbrat', 'Normie', 'Normina', 'Normgran', 'Normpappy', 'the Waiter', 'the Maid', 'Jesus', 'the Secretary', 'the Bride and Groom', 'the Executive', 'the Goliath', 'Al the Alien', 'Alladin', 'the Amazon', 'the Footman', 'the Genie', 'the Giant Ape', 'the Gymnasia', 'the Jack in the Box', 'the Jester', 'Kung Phew', 'Maid Marion in the 90s', 'Merlin', 'the Page', 'Quasimobo', 'Robin Hood', 'Street Farter', 'the Tin Soldier', 'the Valet', 'the Rag Doll', 'the Eunuch', 'the Snowman', 'the Scarecrow', 'the Black Runner', 'the Blue Boxer', 'the Blue Runner', 'the Cheerleader', 'the Crowd', 'the Cyclist', 'the Discus Thrower', 'the Fencer', 'the Goalie', 'the Golfer', 'the Hurdler', 'the Majorette', 'the Motorcyclist', 'the Racehorse', 'the Red Boxer', 'the Red Runner', 'the Referee', 'the Skater', 'the Starter', 'the Yellow Jogger', 'Peter', 'the Bee', 'the Camel', 'the Cobra', 'the Crawler', 'the Elephant', 'the Frog', 'the Giraffe', 'the Gorilla', 'the Kangaroo', 'the Lion', 'the Lizard', 'the Owl', 'the Penguin', 'the Scorpion', 'the Tortoise', 'the Wriggler', 'the Cow', 'the Cockerel', 'the Snail', 'the Spider', 'the Pig', 'the Horse', 'the Dog', 'the Sheep', 'the Cat', 'the Angel', 'the Baby Dragon', 'the Chinese Dragon', 'Cupid', 'the Dactyl', 'the Dragon', 'Frankie', 'the Giant Crab', 'the Invisible Guy', 'Medusa Head', 'Pegasus', 'the Swampie', 'the T-Rex', 'the Troll', 'the Vampire', 'the Velociraptor', 'the Zombie', 'Nessie', 'the Big Skeleton', 'the Small Skeleton', 'the Tree Monster', 'the Stegosaurus (which is actually a Triceratops)', 'the Cyclops', 'Exs', 'the Happybot', 'the Little Green Man', 'the Moon Bouncer', 'the Moon Walker', 'Robbie', 'the Space Vixen', 'the Space Walker', 'the Attack Copter', 'the Airliner', 'the Airship', 'the Cruise Missile', 'the Hang Glider', 'the Shuttle', 'the Sky Rocket', 'the Zeppelin', 'the Crab', 'the Deep Sea Diver', 'the Diver', 'the Dolphin', 'the Steamboat', 'the Swimmer', 'the Battleship', 'the Life Raft', 'the Lobster', 'the Viking Boat', 'the Archer', 'the Blue Knight', 'the Foxhole Thrower', 'the Gatling Gunner', 'the Lancer', 'the Kusketeer', 'the Roman', 'the Roundhead', 'the Viking', 'the Biker Dude', 'the Choo Choo', 'The Cyclist', 'the Drag Racer', 'the Penny Farthing', 'the Skateboarder', 'the Bus', 'the Covered Wagon', 'the London Bus', 'the New York Taxi', 'the Bass Player', 'the Chorus Liner', 'the Conductor', 'the Disco Dancer', 'the Disco Weenie', 'the Painist', 'the Rock Star', 'the Synth Player', 'the Trombonist', 'the Spinny', 'the Choo Choo Train', 'the Clown Trap', 'the Hanger Man', 'the Mouse', 'Pudsie the Cat', 'Skate Dude', 'the Spinning Top', 'the Tank', 'some gross alien', 'Evil Face', 'Spider Boss', 'the Chattering Teeth', 'the Mop', 'the Barbarian', 'the Funny Guy', 'the Kung Fu Guy', 'the Normal Guy', 'the Ghost', 'the Giant Ant', 'the Giant Slug', 'the Minotaur', 'the Monster', 'the Mummy', 'the Starving Stomach', 'the Three-Headed Monster', 'the Flying Vampire', 'a dude constructed from the People Parts library', 'a ball', 'the Octopus', 'the Dump Truck', 'the 3D Helicopter']
    
    return characters[random.randint(0, len(characters) - 1)]

def makeGimmick() :
    
    gimmicks = ['pseudo-3D environments', 'inversion', 'abusing Klik & Play glitches', 'multitasking', 'Win32 API abuse', 'player confusion', 'lack of instructions', 'sloppy controls', 'sprite scaling', 'waiting', 'canyon.mid', 'box2d abuse']
    
    return 'Your trainwreck must utilize ' + gimmicks[random.randint(0, len(gimmicks) - 1)] + ' as a gimmick.'

def getCollectible() :
    
    collectibles = ['Cuckoo Clock', 'Toaster', 'Telephone', 'Birthday Cake', 'Bubbly', 'Camera', 'Candle', 'Flashlight', 'Magic Jewel', 'Barrel', 'Bell', 'Candy Cane', 'Credit Card', 'Glass', 'Hamburger', 'Ice Candy', 'Ice Cream', 'Key', 'Oil Lamp', 'Package', 'Pen', 'Pint of Suds', 'Pizza', 'Ring', 'Spectacles', 'Suitcase', 'Umbrella', 'Video Camera', 'Super Star', 'Mega Star', 'Apple', 'Banana', 'Grape', 'Lemon', 'Orange', 'Strawberry', 'Treasure Chest', 'Dynamite', 'Roulette Wheel', 'CD', 'Bag of Gold', 'Chest of Gold', 'Chicken Leg', 'Heart', 'Book', 'Spider Eyeball', 'Burger', 'Fries']
    
    if random.randint(0, 10) != 0 :
        return collectibles[random.randint(0, len(collectibles) - 1)]
    else :
        return getRandomCharacter()

def makeObjective() :
    
    goalString = 'whose goal is to '
    
    interactions = ['defeat ', 'win a race against ', 'befriend ']
    
    randomChoice = random.randint(0, 3)
    
    if randomChoice < 3 :
        goalString += interactions[random.randint(0, len(interactions) - 1)] + getRandomCharacter() + '.'
    elif randomChoice == 3 :
        goalString += 'collect every ' + getCollectible() + '.'
    
    return goalString

def makeProtagonist() :
    
    return 'starring ' + getRandomCharacter() + ' as the protagonist,'

def makeGenre() :
    
    genres = ['action', 'racing', 'platform', 'puzzle', 'shmup', 'rhythm', 'detective', 'text adventure', 'defense', 'role-playing', 'exploration', 'dodging']
    
    genreString = 'You are tasked with making '
    
    randomGenre = random.randint(0, len(genres) - 1)
    
    if random.randint(0, 10) == 0 :
        genreString += 'a multiplayer '
    else :
        if genres[randomGenre][0] in ['a', 'e', 'i', 'o', 'u'] :
            genreString += 'an '
        else:
            genreString += 'a '
    
    genreString += genres[randomGenre] + ' game'
    
    return genreString

def generateIdea() :
    
    return makeGenre() + ' ' + makeProtagonist() + ' ' + makeObjective() + ' ' + makeGimmick()
    

print generateIdea()

exit(0)
